## python-debian 0.1.36ubuntu1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build/sphinx/

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-debian.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-debian.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-debian"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-debian"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## python-debian 0.1.1ubuntu2

=== debian/changelog ===
python-debian (0.1.1ubuntu2) feisty; urgency=low

  * fetch patch from upstream for supporting '~' in version numbers

 -- Reinhard Tartler <siretart@tauware.de>  Sun,  4 Feb 2007 18:05:27 +0100

python-debian (0.1.1ubuntu1) feisty; urgency=low

  * Merge new debian upload. Remaining changes:
    - Build-depend on python-dev.
    - debian/rules: remove deb822.py from python2.5 dirs instead of 
      python2.4 dirs, since that's the default in feisty for now. 
      fixes FTBFS
  * fix warnings with python2.5: don't use 'with' as variable name

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 30 Jan 2007 23:44:29 +0100

python-debian (0.1.1) unstable; urgency=low

  [ John Wright ]
  * changelog.py:
    - Version class:
      + Subclass debian_support.Version, for rich comparison
      + Changing any attribute now automatically updates any other affected
        attribute (i.e. changing full_version will update all of the other
        attributes; changing debian_version will update full_version)
    - Changelog class:
      + Many "getter" and "setter" methods were replaced with properties (so
        they appear as regular object attributes).  Most set_* methods remain
        for compatibility, and they're the actual set methods for the
        properties anyway.  Please see README.changelog.
      + You can now assign a string to the version attribute, and it will be
        coerced into a Version object

  [ James Westby ]
  * changelog.py:
    - Added a method to write the changelog to an open file.
    - Allow single digit day with no extra space in the endline of a
      changelog. Hopefully this wont allow things to be parsed that will
      be rejected by the more important tools. It does allow more files
      to be parsed and used, and I'm not entirely sure what is right.
    - Allow uppercase characters in the version number when parsing
      changelogs. Thanks to Jelmer Vernooij for the report and the fix.
  * README.changelog:
    - Update the documentation to reflect the changes mentioned above
  * Add debian/NEWS to warn of the API changes.

  [ Enrico Zini ]
  * debtags.py:
    - Added various methods after the work on the inferrer of tag
      relationships
    - Added tagminer and pkgwalk examples

 -- James Westby <jw+debian@jameswestby.net>  Tue, 30 Jan 2007 20:56:44 +0000

python-debian (0.1.0ubuntu2) feisty; urgency=low

  * debian/rules: remove deb822.py from python2.5 dirs, since that's the
    default in feisty for now. fixes FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 16 Jan 2007 20:45:57 +0100

python-debian (0.1.0ubuntu1) feisty; urgency=low

  * Build-depend on python-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Jan 2007 18:09:03 +0100

python-debian (0.1.0) experimental; urgency=low

  * Initial release. (Closes: #381599)

 -- James Westby <jw+debian@jameswestby.net>  Tue, 15 Aug 2006 18:57:57 +0100

=== debian/control ===
Source: python-debian
Section: devel
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>
Build-Depends: debhelper (>= 5.0.37.2), python-dev
Build-Depends-Indep: python-support (>= 0.3)
Standards-Version: 3.7.2

Package: python-debian
Architecture: all
Depends: ${python:Depends}
Description: python modules to work with Debian-related data formats
 This package provides python modules that abstract many formats of Debian 
 related files. Currently handled are:
  * Debtags information.
  * debian/changelog.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	python setup.py build
	# The tests for changelog and debtags need to be run from the same dir as
	# the files.
	cd debian_bundle && python test_debtags.py
	cd debian_bundle && python changelog.py
	debian_bundle/doc-debtags > README.debtags

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	python setup.py clean
	rm -rf build/
	rm -f README.debtags

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	python setup.py install --root="$(CURDIR)/debian/python-debian" --no-compile


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	# TODO: Enrico would like to keep wxssearch out of the package
	# but so far, he has no better place for it
	#rm "$(CURDIR)/debian/python-debian/usr/share/doc/python-debian/examples/wxssearch"
	rm "$(CURDIR)/debian/python-debian/usr/share/doc/python-debian/examples/debtags/wxssearch"
	#TODO: there is a python-deb822 package so don't provide deb822.py for now,
	# at lest until we discuss it.
	rm "$(CURDIR)/debian/python-debian/usr/lib/python2.5/site-packages/debian_bundle/deb822.py"
	rm "$(CURDIR)/debian/python-debian/usr/lib/python2.5/site-packages/debian_bundle/test_deb822.py"
#	dh_install
	dh_compress -Xexamples
	dh_fixperms
	dh_pysupport -d
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-debian 0.1.5

=== debian/changelog ===
python-debian (0.1.5) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debfile.py
    - do not fail if extra ar members exist in a .deb, according to deb(5)
      extra ar members should be ignored (Closes: #438486). Also add the
      corresponding regression test to test_debfile.py
    - support both the (buggy) file naming scheme for TarFile of python << 2.5
      (e.g. "control") and of python >= 2.5 (e.g. "./control"). In addition,
      enable users to specify file members in three equivalent formats:
      "file", "./file", and "/file" (Closes: #438603)
  * deb822.py
    - add a deprecation warning (printed on stderr) when accessing the module
      as a top-level one; it should be rather used as "debian_bundle.deb822"

  [ John Wright ]
  * examples/debfile/ar, examples/debfile/changelog_head,
    examples/debfile/dpkg-info, examples/debfile/extract_cron:
    - Fix ImportError caused by importing modules as if they were top-level
      modules, rather than modules in the debian_bundle package
      (Closes: #438428)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 19 Aug 2007 09:38:20 +0200

python-debian (0.1.4) unstable; urgency=low

  [ James Westby ]
  * changelog.py
    - Add allow_empty_author option to changelog to allow the author line
      to have no information.

  [ Stefano Zacchiroli ]
  * debian/control
    - joining the team: add myself as an uploader
    - add Vcs-Bzr field pointing to our Bzr repository on bzr.debian.org
  * arfile.py / debfile.py
    - new modules implementing (read-only) dpkg-deb like access to .deb
      packages; when possible, access to information contained in .deb is made
      available via other debian_bundle classes (e.g. Changelog, Deb822, ...)
    - code contributed by Stefano Zacchiroli and Filippo Giunchedi
    - corresponding examples in examples/debfile
  * debian_support.py
    - yield dictionaries instead of tuples in Packages parsing and normalize
      to lower case 822 field names (Closes: #431087)
    - no longer require a space after a ':' in RFC 822 fields; fix bogus
      parse errors of Packages-like file with PackageFile() class
  * examples/
    - added grep-maintainer example to show the Packages parsing API

  [ John Wright ]
  * debian_bundle/deb822.py, debian_bundle/test_deb822.py, deb822.py:
    - Import latest version of deb822, and create a "dummy" top-level module
      for compatibility
    - For multiline fields that start with a newline (e.g. Files in a .dsc,
      MD5Sum in Release files), the line with the "Field:" should not end in
      trailing whitespace.  Fixed and added test cases.
  * setup.py:
    - The version wasn't getting updated, so I've renamed it to setup.py.in,
      and added a __CHANGELOG_VERSION__ placeholder
  * debian/rules:
    - Generate generate setup.py from setup.py.in, filling in the version
      information from debian/changelog
    - No longer delete deb822 files
  * debian/control:
    - Add myself as an uploader
    - Add Provides, Conflicts, and Replaces fields for python-deb822
    - When describing features, mention which modules they are implemented in
  * HISTORY.deb822, debian/docs:
    - Install old changelog for deb822 as
      /usr/share/doc/python-debian/HISTORY.deb822
  * debian_bundle/changelog.py:
    - Accept numbers, '+', and '.' in the distribution field, to match dpkg's
      behavior

 -- John Wright <jsw@debian.org>  Sun,  5 Aug 2007 00:41:24 -0600

python-debian (0.1.3) unstable; urgency=low

  [ James Westby ]
  * changelog.py
    - Add max_blocks parameter to Changelog constructor. This limits the
      number of blocks that will be parsed to that number. If you only need
      the latest entry then pass max_blocks=1 and you will only have one
      block. This is also useful to avoid trying to parse old changelog
      entries that don't follow the current format. (Closes: #429357)

  [ Reinhard Tartler ]
  * debian_bundle/changelog.py: don't fail if a changelog block is not
    parseable. Just return all changelog blocks we've been able to parse
    so far. (Closes: #429299)

 -- James Westby <jw+debian@jameswestby.net>  Sun, 17 Jun 2007 13:25:20 +0100

python-debian (0.1.2) unstable; urgency=low

  [ James Westby ]
  * debian_support.py
    - Support ~ in version numbers when python-apt is not installed.
  * Turn on the testsuites of changelog.py, and debtags.py in the build.
  * debtags.py
    - Rename with to with_ to avoid a warning on python2.5 as with will be
      a keyword in 2.6. (Closes: #409333)
  * Suggest python-apt and mention why in the README.

  [Reinhard Tartler]
  * Fix the regex matching the end line of a debian/changelog. Using
    improved regex contributed by Francois-Denis Gonthier, thanks!
    (Closes: #410880)
  * disable python_support.py testrun, it is missing in the branch.
  * add myself to uploaders.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 14 Jun 2007 19:54:13 +0100

=== debian/control ===
Source: python-debian
Section: devel
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>, Reinhard Tartler <siretart@tauware.de>, Stefano Zacchiroli <zack@debian.org>, John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python
Build-Depends-Indep: python-support (>= 0.3)
Standards-Version: 3.7.2
XS-Vcs-Bzr: http://bzr.debian.org/pkg-python-debian/trunk/

Package: python-debian
Architecture: all
Depends: ${python:Depends}
Suggests: python-apt
Provides: python-deb822
Conflicts: python-deb822
Replaces: python-deb822
Description: python modules to work with Debian-related data formats
 This package provides python modules that abstract many formats of Debian 
 related files. Currently handled are:
  * Debtags information (debian_bundle.debtags module)
  * debian/changelog (debian_bundle.changelog module)
  * Packages files, pdiffs (debian_bundle.debian_support module)
  * Control files of single or multple RFC822-style paragraphs, e.g
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian_bundle.deb822 module)

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,29 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+VERSION := $(shell dpkg-parsechangelog | grep '^Version: ' | awk '{print $$2}')
+
+%.py: %.py.in
+	sed -e 's/__CHANGELOG_VERSION__/$(VERSION)/' < $< > $@
+
 build: build-stamp
-build-stamp:
+build-stamp: setup.py
 	dh_testdir
 
 	# Add here commands to compile the package.
 	python setup.py build
 	# The tests for changelog and debtags need to be run from the same dir as
 	# the files.
+	cd debian_bundle && python test_deb822.py
 	cd debian_bundle && python test_debtags.py
 	cd debian_bundle && python changelog.py
+	cd debian_bundle && python test_debfile.py
+	#python debian_bundle/python_support.py
 	debian_bundle/doc-debtags > README.debtags
 
 	touch $@
 
-clean:
+clean: setup.py
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -27,6 +35,7 @@
 	python setup.py clean
 	rm -rf build/
 	rm -f README.debtags
+	rm -f setup.py
 
 	dh_clean
 
@@ -51,10 +60,6 @@
 	# but so far, he has no better place for it
 	#rm "$(CURDIR)/debian/python-debian/usr/share/doc/python-debian/examples/wxssearch"
 	rm "$(CURDIR)/debian/python-debian/usr/share/doc/python-debian/examples/debtags/wxssearch"
-	#TODO: there is a python-deb822 package so don't provide deb822.py for now,
-	# at lest until we discuss it.
-	rm "$(CURDIR)/debian/python-debian/usr/lib/python2.5/site-packages/debian_bundle/deb822.py"
-	rm "$(CURDIR)/debian/python-debian/usr/lib/python2.5/site-packages/debian_bundle/test_deb822.py"
 #	dh_install
 	dh_compress -Xexamples
 	dh_fixperms

## python-debian 0.1.9

=== debian/changelog ===
python-debian (0.1.9) unstable; urgency=low

  * Promote python-apt from Suggests to Recommends. (Closes: #462845)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 06 Feb 2008 15:36:02 +0100

python-debian (0.1.8) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Move tests to a separate subdirectory.

  [ Stefano Zacchiroli ]
  * Add examples dir for deb822 with a simple example.

  [ Adeodato Simó ]

  * Sync debian_support.py with the latest version from the secure-testing
    repository. Note that this removes support for version comparison without
    apt_pkg. (Our copy was modified in 0.1.2 to *accept* ~ in version strings,
    but comparison without apt_pkg was already broken by then.)

    Also, undo the change introduced for #431087, since we shouldn't be
    keeping incompatible versions of debian_support.py around, plus the
    desired functionality in that bug report is best provided by the deb822
    module. (Closes: #457697, #457854)

  * While rewriting the grep-maintainer example to use deb822.Packages to
    accommodate the above change, make it cope with stanzas without a
    maintainer field as well. (Closes: #457855)

  * Fix dump() method of deb822._multivalued. (Closes: #457929)

  * Small improvements to the exception handling in the grep-maintainer
    example.

  * Bump Standards-Version to 3.7.3 (no changes needed).

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 28 Dec 2007 19:46:13 +0100

python-debian (0.1.7) unstable; urgency=low

  [ John Wright ]
  * debian_bundle/deb822.py, debian_bundle/test_deb822.py
    - Bug fix: Allow fields with blank (empty string) values.  Previously,
      these were parsed fine, but if you tried to dump the resulting Deb822
      object, you'd get an IndexError (because of how we handled fields whose
      values start with newlines).  Added a test case.
    - Fix the copy method of Deb822Dict so that it returns an object of the
      same type, rather than explicitly instantiating Deb822Dict (so that
      subclasses like Deb822 can directly use the copy method and have it "just
      work").  Added a test case.

  [ Stefano Zacchiroli ]
  * debian/control
    - mention the debfile module in the long description
    - promote Vcs-Bzr to a real field, now that dpkg supports it

 -- John Wright <jsw@debian.org>  Tue, 27 Nov 2007 16:25:33 -0700

python-debian (0.1.6) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debfile.py
    - bugfix: make md5sums top-level method acts as a proxy instead of
      returning a method
    - bugfix: use readlines() to iterate over the md5sums file since direct
      iteration on files is available only in python >= 2.5 (closes: #438804)
    - bugfix: support spaces in filenames when accessing md5sums; thanks to
      Romain Francoise for the patch (closes: #438909)

  [ John Wright ]
  * debian/pyversions:
    - Since there are some Python 2.4-isms in this package, support only Python
      >= 2.4, rather than all versions (Closes: #438920)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 08 Sep 2007 10:12:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>, Reinhard Tartler <siretart@tauware.de>, Stefano Zacchiroli <zack@debian.org>, John Wright <jsw@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python
 Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.7.2
-XS-Vcs-Bzr: http://bzr.debian.org/pkg-python-debian/trunk/
+Standards-Version: 3.7.3
+Vcs-Bzr: http://bzr.debian.org/pkg-python-debian/trunk/
 
 Package: python-debian
 Architecture: all
 Depends: ${python:Depends}
-Suggests: python-apt
+Recommends: python-apt
 Provides: python-deb822
 Conflicts: python-deb822
 Replaces: python-deb822
@@ -24,3 +24,6 @@
   * Control files of single or multple RFC822-style paragraphs, e.g
     debian/control, .changes, .dsc, Packages, Sources, Release, etc.
     (debian_bundle.deb822 module)
+  * Raw .deb and .ar files, with (read-only) access to contained
+    files and meta-information
+

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,13 @@
 
 	# Add here commands to compile the package.
 	python setup.py build
-	# The tests for changelog and debtags need to be run from the same dir as
-	# the files.
-	cd debian_bundle && python test_deb822.py
-	cd debian_bundle && python test_debtags.py
-	cd debian_bundle && python changelog.py
-	cd debian_bundle && python test_debfile.py
+	
+	# run the tests
+	cd tests && \
+		for f in deb822 debfile debtags; do \
+			./test_$$f.py ; \
+		done 
+
 	#python debian_bundle/python_support.py
 	debian_bundle/doc-debtags > README.debtags

## python-debian 0.1.10~bpo40+1

=== debian/changelog ===
python-debian (0.1.10~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 31 May 2008 10:45:10 +0200

python-debian (0.1.10) unstable; urgency=low

  * debian_bundle/deb822.py, tests/test_deb822.py:
    - Do not cache _CaseInsensitiveString objects, since it causes case
      preservation issues under certain circumstances (Closes: #473254)
    - Add a test case
  * debian_bundle/deb822.py:
    - Add support for fixed-length subfields in multivalued fields.  I updated
      the Release and PdiffIndex classes to use this.  The default behavior for
      Release is that of apt-ftparchive, just because it's simpler.  Changing
      the behavior to resemble dak requires simply setting the
      size_field_behavior attribute to 'dak'.  (Ideally, deb822 would detect
      which behavior to use if given an actual Release file as input, but this
      is not implemented yet.)  (Closes: #473259)
    - Add support for Checksums-{Sha1,Sha256} multivalued fields in Dsc and
      Changes classes
  * debian/control:
    - "python" --> "Python" in the Description field
    - Change the section to "python"

 -- John Wright <jsw@debian.org>  Wed, 30 Apr 2008 23:58:24 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-debian
-Section: devel
+Section: python
 Priority: optional
 Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>, Enrico Zini <enrico@debian.org>, James Westby <jw+debian@jameswestby.net>, Reinhard Tartler <siretart@tauware.de>, Stefano Zacchiroli <zack@debian.org>, John Wright <jsw@debian.org>
@@ -15,8 +15,8 @@
 Provides: python-deb822
 Conflicts: python-deb822
 Replaces: python-deb822
-Description: python modules to work with Debian-related data formats
- This package provides python modules that abstract many formats of Debian 
+Description: Python modules to work with Debian-related data formats
+ This package provides Python modules that abstract many formats of Debian 
  related files. Currently handled are:
   * Debtags information (debian_bundle.debtags module)
   * debian/changelog (debian_bundle.changelog module)

## python-debian 0.1.11

=== debian/changelog ===
python-debian (0.1.11) unstable; urgency=low

  [ James Westby ]
  * Allow urgency=HIGH and other words made of capital letters there, see
    fuse's changelog.
  * Allow any number of spaces before "urgency" in the header line of a
    changelog, see lvm2's changelog in Ubuntu.
  * Overhaul the parsing code to follow that used by dpkg-parsechangelog.py,
    making it much more robust.
    - There is now a "strict" option to turn warnings in to errors. It is
      on by default.
  * The file parameter in the changelog can now be a file-like object,
    to save reading a file to a string first. Thanks to Tilman Koschnick.
    (Closes: #487797)

  [ John Wright ]
  * debian/control:
    - Fix a typo in the Description field (Closes: #483688)
  * debian_bundle/deb822.py: Checksums-Sha1 and Checksums-Sha256 don't have
    section or priority subfields (Closes: #487902)

  [ Stefano Zacchiroli ]
  * debian_bundle/deb822.py: add support for "parsed" dependencies and other
    inter-package relationships. See examples/deb822/depgraph for sample usage
  * examples/deb822/ add new example "depgraph"
  * tests/test_deb822.py: add tests for inter-package relationships
  * debian_bundle/debfile.py: add has_key (same implementation of
    __contains__) to better emulate dictionary containers
  * minor revamp of README pointing to deb822.py for Packages parsing and
    mentioning debfile.py
  * debian/control:
    - fix Vcs-* fields to point to the new git repository (bzr is gone)
  * bump Standards-Version to 3.8.0, no changes needed though profit of the
    possibility of wrapping Uploaders in debian/control

  [ Filippo Giunchedi ]
  * Add test case for changes file with checksums (see #487902)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 06 Aug 2008 23:48:38 -0300

=== debian/control ===
Source: python-debian
Section: python
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders: Adeodato Simó <dato@net.com.org.es>,
 Enrico Zini <enrico@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Stefano Zacchiroli <zack@debian.org>,
 John Wright <jsw@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python
Build-Depends-Indep: python-support (>= 0.3)
Standards-Version: 3.8.0
Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
Vcs-Git: git://git.debian.org/git/pkg-python-debian/python-debian.git

Package: python-debian
Architecture: all
Depends: ${python:Depends}
Recommends: python-apt
Provides: python-deb822
Conflicts: python-deb822
Replaces: python-deb822
Description: Python modules to work with Debian-related data formats
 This package provides Python modules that abstract many formats of Debian 
 related files. Currently handled are:
  * Debtags information (debian_bundle.debtags module)
  * debian/changelog (debian_bundle.changelog module)
  * Packages files, pdiffs (debian_bundle.debian_support module)
  * Control files of single or multiple RFC822-style paragraphs, e.g.
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian_bundle.deb822 module)
  * Raw .deb and .ar files, with (read-only) access to contained
    files and meta-information

## python-debian 0.1.12ubuntu2

=== debian/changelog ===
python-debian (0.1.12ubuntu2) jaunty; urgency=low

  * debian_bundle/deb822.py: _CaseInsensitiveString(): use __new__ instead of
    __init__ to avoid a warning with Python 2.6; LP: #339466.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Apr 2009 10:36:34 +0200

python-debian (0.1.12ubuntu1) jaunty; urgency=low

  * Replace sha with hashlib to stop python2.6 warnings (LP: #338524,
    debian bug 518427).

 -- Kees Cook <kees@ubuntu.com>  Thu, 05 Mar 2009 16:47:20 -0800

python-debian (0.1.12) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Add initial support to deb822 for gpg signature checking (Closes: #485829)
  * Suggest gpgv for signature checking

  [ Stefano Zacchiroli ]
  * deb822: add support for pretty printing structured inter-package
    relationships (and relevant tests)
  * debfile: add support for .tar.bz2 parts contained in .deb packages, and
    relative regression test. Thanks to Cameron Dale and Tom Parker.
    (Closes: #462859).

  [ John Wright ]
  * deb822: allow the use of unicode objects in __getitem__
  * changelog: fix the "topline" regular expression to match the one in dpkg's
    Dpkg/Changelog/Debian.pm so that it allows '.' and '+' in the distribution
    field
  * deb822: Add a use_apt_pkg parameter to Deb822.iter_paragraphs.  Now,
    callers can set use_apt_pkg=True and shared_storage=False (now the default)
    in order to take advantage of apt_pkg's speed and still be able to use
    values across iterations.  (Closes: #504413)

 -- John Wright <jsw@debian.org>  Wed, 05 Nov 2008 16:03:40 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -18,6 +19,7 @@
 Architecture: all
 Depends: ${python:Depends}
 Recommends: python-apt
+Suggests: gpgv
 Provides: python-deb822
 Conflicts: python-deb822
 Replaces: python-deb822

## python-debian 0.1.13

=== debian/changelog ===
python-debian (0.1.13) unstable; urgency=low

  [ John Wright ]
  * deb822: Correctly handle deletion of keys that only exist in a pre-parsed
    dictionary

  [ Stefano Zacchiroli ]
  * change naming convention to match PEP 8, with backward compatibility
    (and deprecation warnings) for all old names. Thanks to Ben Finney for
    the patch. (Closes: #489722)
  * Switch from "sha" module to "hashlib": fix a deprecation warning of
    Python 2.6. As a consequence, update pyversions to require a minimum
    of Python 2.5, which is available also in stable now. (Closes: #518427)
  * debian_support.PackageFile: allow for stanza separators made of tabs
    and spaces in addition to newlines (Closes: #501927)
  * bump Standards-Version to 3.8.1 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 07 Apr 2009 10:21:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -11,7 +10,7 @@
  John Wright <jsw@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python
 Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
 Vcs-Git: git://git.debian.org/git/pkg-python-debian/python-debian.git

## python-debian 0.1.14~bpo50+1

=== debian/changelog ===
python-debian (0.1.14~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Needed by DSA for samosa.debian.org

 -- Martin Zobel-Helas <zobel@debian.org>  Tue, 11 Aug 2009 21:51:47 +0200

python-debian (0.1.14) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * setup.py.in: switch to setuptools, which are able to generate eggs;
    add matching build-dep on python-setuptools (Closes: #525694)
  * examples/deb822/: add new example render-dctrl, to render packages in
    a dctrl-tools pipeline (using Markdown as long description syntax)
  * deb822: use __new__ to sub-class strings for case-insensitiveness;
    former approach is deprecated with python 2.6.
    Thanks to Loïc Minier for the patch. (Closes: #524061)

  [ Filippo Giunchedi ]
  * deb822: parse also Binary as PkgRelation, thus add .binary attribute

  [ Muharem Hrnjadovic ]
  * fixed changelog parser exception raised when dealing with empty
    changelog files (LP: #400589).

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 18 Jul 2009 21:26:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  Stefano Zacchiroli <zack@debian.org>,
  John Wright <jsw@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python
+Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools
 Build-Depends-Indep: python-support (>= 0.3)
 Standards-Version: 3.8.1
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git

## python-debian 0.1.14ubuntu1

=== debian/changelog ===
python-debian (0.1.14ubuntu1) karmic; urgency=low

  * Add .lzma as a possible extenstion for data.tar (LP: #407198)
    Note that this does not mean that reading from the .lzma part
    is supported. This is blocked on http://bugs.python.org/issue5689

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 11:08:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,

## python-debian 0.1.14ubuntu2

=== debian/changelog ===
python-debian (0.1.14ubuntu2) lucid; urgency=low

  * Depend on python-apt as debian_support uses it unconditionally.

 -- James Westby <james.westby@ubuntu.com>  Wed, 13 Jan 2010 15:58:18 +1300

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
 
 Package: python-debian
 Architecture: all
-Depends: ${python:Depends}
-Recommends: python-apt
+Depends: ${python:Depends}, python-apt
 Suggests: gpgv
 Provides: python-deb822
 Conflicts: python-deb822

## python-debian 0.1.16ubuntu1

=== debian/changelog ===
python-debian (0.1.16ubuntu1) maverick; urgency=low

  [ Scott Howard ]
  * Merge from debian unstable (LP: #588714).  Remaining changes:
    - Depend on python-apt as debian_support uses it unconditionally.
    - Add .lzma as a possible extenstion for data.tar (LP: #407198)
      Note that this does not mean that reading from the .lzma part
      is supported. This is blocked on http://bugs.python.org/issue5689

  [ James Westby ]
  * Use os.path.normpath to ensure debfile tests work across python
    versions.

 -- Scott Howard <showard314@gmail.com>  Wed, 02 Jun 2010 10:04:40 -0400

python-debian (0.1.16) unstable; urgency=low

  * debian_support: Be more careful in case apt_pkg is not available
    - If apt_pkg is not available, AptPkgVersion now raises
      NotImplementedError on any initialization attempt
    - test_debian_support.py now doesn't try to test AptPkgVersion if
      apt_pkg is not availble
  * test_deb822.py: Don't test gpg info if debian-keyring is not
    available (Closes: #573934)
  * Use the warnings system to report deprecation warnings
    (Closes: #573945)
  * Change examples and control file to refer to debian instead of
    debian_bundle

 -- John Wright <jsw@debian.org>  Mon, 15 Mar 2010 20:02:17 -0600

python-debian (0.1.15) unstable; urgency=low

  [ John Wright ]
  * deb822: Don't ignore leading newlines on field data with apt_pkg
    (Closes: #466753)
  * changelog: Consistently parse different types of inputs.  The
    previous implementation added extra newlines when given a file
    object as input, rather than the result of str.splitlines().
    (Closes: #539316)
  * deb822: Faster non-shared storage by keeping a TagFile object
    around for each Deb822 object yielded

  [ Stefano Zacchiroli ]
  * make debian_support.Version hashable, patch from Piotr Ożarowski
    (Closes: #543223)

  [ Filippo Giunchedi ]
  * changelog: add iterator over changelog blocks (Closes: #539334)
  * changelog: split tests into tests/test_changelog.py for consistency

  [ John Wright ]
  * deb822: Use the apt_pkg.TagFile class instead of apt_pkg.ParseTagFile()
    (Closes: #552190)
  * test_deb822.py: Update to support new gpg "SIG_ID" algorithm
  * deb822: Better support for non-ascii values.  Deb822 objects now
    always contain unicode objects instead of strings.  Use the encoding
    argument to Deb822's initializer and its iter_paragraphs class
    method if the encoding of a file you are reading in is not utf-8.
    (The dump method also takes an encoding argument, if you wish the
    output not to be utf-8-encoded.) (Closes: #495272)
  * Use the apt_pkg.TagFile iterator interface instead of hacking its
    offset.  As of python-apt version 0.7.94, that interface doesn't use
    shared storage. (Closes: #571470)
  * debian_support: Add a native python Version class, based on Raphael
    Hertzog's DpkgVersion class in the PTS (Closes: #562257, #573009)

  [ Jelmer Vernooij ]
  * Remove unused imports in the debfile and debtags modules

  [ John Wright ]
  * changelog: Use debian_support.Version directly
  * Deprecate the 'debian_bundle' package in favor of a new 'debian'
    package (Closes: #570210)
  * debian_support: split tests into tests/test_debian_support.py for
    consistency
  * Convert to "3.0 (native)" source format and update Standards-Version
    to 3.8.4 (no changes necessary)

 -- John Wright <jsw@debian.org>  Sun, 14 Mar 2010 05:04:50 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  John Wright <jsw@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools
 Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
 Vcs-Git: git://git.debian.org/git/pkg-python-debian/python-debian.git
 
@@ -20,17 +20,17 @@
 Depends: ${python:Depends}, python-apt
 Suggests: gpgv
 Provides: python-deb822
-Conflicts: python-deb822
+Conflicts: python-deb822, python-apt (<< 0.7.94~)
 Replaces: python-deb822
 Description: Python modules to work with Debian-related data formats
  This package provides Python modules that abstract many formats of Debian 
  related files. Currently handled are:
-  * Debtags information (debian_bundle.debtags module)
-  * debian/changelog (debian_bundle.changelog module)
-  * Packages files, pdiffs (debian_bundle.debian_support module)
+  * Debtags information (debian.debtags module)
+  * debian/changelog (debian.changelog module)
+  * Packages files, pdiffs (debian.debian_support module)
   * Control files of single or multiple RFC822-style paragraphs, e.g.
     debian/control, .changes, .dsc, Packages, Sources, Release, etc.
-    (debian_bundle.deb822 module)
+    (debian.deb822 module)
   * Raw .deb and .ar files, with (read-only) access to contained
     files and meta-information

## python-debian 0.1.18

=== debian/changelog ===
python-debian (0.1.18) unstable; urgency=low

  * Support installation together with older versions of python-apt.
    Original patch by Jelmer Vernooij. (Closes: #590805)

 -- John Wright <jsw@debian.org>  Wed, 04 Aug 2010 01:16:52 -0700

python-debian (0.1.17) unstable; urgency=low

  [ James Westby ]
  * Use os.path.normpath to hide python version differences

  [ John Wright ]
  * test_deb822.py: Make test_gpg_info more robust (Closes: #582878)
  * deb822: Use chardet to try to detect character encodings as necessary
    - This is only used when the specified encoding doesn't work.  It's mainly
      useful for files containing multiple deb822 paragraphs with mixed
      encodings, like etch's Sources file. (Closes: #586021)

 -- John Wright <jsw@debian.org>  Sun, 25 Jul 2010 02:07:11 -0700

## python-debian 0.1.18ubuntu2

=== debian/changelog ===
python-debian (0.1.18ubuntu2) natty; urgency=low

  * debian/rules:
    - workaround incorrect permissions in upstream tarball
      (fixes ftbfs)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Dec 2010 17:23:18 +0100

python-debian (0.1.18ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add .lzma as a possible extenstion for data.tar (LP: #407198)
      Note that this does not mean that reading from the .lzma part
      is supported. This is blocked on http://bugs.python.org/issue5689

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Oct 2010 15:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Reinhard Tartler <siretart@tauware.de>,
  Stefano Zacchiroli <zack@debian.org>,
  John Wright <jsw@debian.org>
-Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools
+Build-Depends: debhelper (>= 5.0.37.2), python, python-setuptools, python-chardet
 Build-Depends-Indep: python-support (>= 0.3)
 Standards-Version: 3.8.4
 Vcs-Browser: http://git.debian.org/?p=pkg-python-debian/python-debian.git
@@ -17,13 +17,14 @@
 
 Package: python-debian
 Architecture: all
-Depends: ${python:Depends}, python-apt
+Depends: ${python:Depends}, ${misc:Depends}, python-chardet
+Recommends: python-apt
 Suggests: gpgv
 Provides: python-deb822
-Conflicts: python-deb822, python-apt (<< 0.7.94~)
+Conflicts: python-deb822
 Replaces: python-deb822
 Description: Python modules to work with Debian-related data formats
- This package provides Python modules that abstract many formats of Debian 
+ This package provides Python modules that abstract many formats of Debian
  related files. Currently handled are:
   * Debtags information (debian.debtags module)
   * debian/changelog (debian.changelog module)

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,13 @@
 	python setup.py build
 	
 	# run the tests
-	cd tests && \
-		for f in deb822 debfile debtags; do \
-			./test_$$f.py ; \
-		done 
+	cd tests && ./test_deb822.py
+	cd tests && python ./test_debfile.py
+	cd tests && ./test_debtags.py
+	cd tests && ./test_changelog.py
+	cd tests && ./test_debian_support.py
 
-	#python debian_bundle/python_support.py
-	debian_bundle/doc-debtags > README.debtags
+	lib/debian/doc-debtags > README.debtags
 
 	touch $@
 
@@ -34,9 +34,11 @@
 
 	# Add here commands to clean up after the build process.
 	python setup.py clean
+	rm -rf lib/python_debian.egg-info
 	rm -rf build/
 	rm -f README.debtags
 	rm -f setup.py
+	find lib/debian -type f -name '*.pyc' -exec rm {} \;
 
 	dh_clean

## python-debian 0.1.18%2Bsqueeze1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders: Adeodato Simó <dato@net.com.org.es>,
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	
 	# run the tests
 	cd tests && ./test_deb822.py
-	cd tests && python ./test_debfile.py
+	cd tests && ./test_debfile.py
 	cd tests && ./test_debtags.py
 	cd tests && ./test_changelog.py
 	cd tests && ./test_debian_support.py
